# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/input/touchscreen/rohm,bu21013.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Rohm BU21013 touchscreen

description:
  Rohm BU21013 I2C driven touchscreen controller.

maintainers:
  - Dario Binacchi <dario.binacchi@amarulasolutions.com>

allOf:
  - $ref: touchscreen.yaml#

properties:
  compatible:
    enum:
      - rohm,bu21013_tp

  reg:
    maxItems: 1

  interrupts:
    maxItems: 1

  reset-gpios:
    maxItems: 1

  touch-gpios:
    maxItems: 1
    description: GPIO registering a touch event.

  avdd-supply:
    description: Analogic power supply

  rohm,touch-max-x:
    deprecated: true
    description: Maximum value on the X axis.
    $ref: /schemas/types.yaml#/definitions/uint32

  rohm,touch-max-y:
    deprecated: true
    description: Maximum value on the Y axis.
    $ref: /schemas/types.yaml#/definitions/uint32

  rohm,flip-x:
    deprecated: true
    description: Flip touch coordinates on the X axis
    type: boolean

  rohm,flip-y:
    deprecated: true
    description: Flip touch coordinates on the Y axis
    type: boolean

  touchscreen-inverted-x: true
  touchscreen-inverted-y: true
  touchscreen-size-x: true
  touchscreen-size-y: true
  touchscreen-swapped-x-y: true

additionalProperties: false

required:
  - compatible
  - reg
  - reset-gpios
  - interrupts

examples:
  - |
    #include <dt-bindings/gpio/gpio.h>
    #include <dt-bindings/interrupt-controller/irq.h>
    i2c {
        #address-cells = <1>;
        #size-cells = <0>;

        touchscreen@5c {
            compatible = "rohm,bu21013_tp";
            reg = <0x5c>;

            interrupt-parent = <&gpio2>;
            interrupts = <0x20 IRQ_TYPE_LEVEL_LOW>;
            reset-gpios = <&gpio2 19 GPIO_ACTIVE_LOW>;
            touch-gpios = <&gpio2 20 GPIO_ACTIVE_LOW>;
            avdd-supply = <&ab8500_ldo_aux1_reg>;

            touchscreen-size-x = <384>;
            touchscreen-size-y = <704>;
            touchscreen-inverted-y;
        };
    };
